#! (c) Copyright A+ 2013-YEAR(TODAY) all Rights Reserved.
#! Ver. 1.2013.08.13
#! ---------------------------------------------------------------------
#TEMPLATE(AAPLUSRFID,'RFID SDKs'),FAMILY('CW20','ABC')
#!
#!**************************************************************************
#!----------------------- A+ Biometric Templates Set  ----------------------
#!**************************************************************************
#!
#EXTENSION(RFIDSDKs,'RFID SDKs: Function Declarations.'),APPLICATION
#!
#!**************************************************************************
#!-------------- Let''s Programmer Setup the Template  ---------------------
#!**************************************************************************
#!
#DISPLAY('')
#BOXED('RFID SDK 2013.08.13')
    #PREPARE
        #DECLARE(%AARFIDMr915ApiV10,LONG)
        #IF(FILEEXISTS('A+RFID01.INC'))
            #SET(%AARFIDMr915ApiV10,%TRUE)
        #ENDIF
    #ENDPREPARE
    #ENABLE(%AARFIDMr915ApiV10 = %TRUE)
        #DISPLAY('')
        #PROMPT('Enable Mr915ApiV10''s SDK.',CHECK),%AARFIDMr915ApiV10EnableCheck,DEFAULT(%TRUE),AT(20,26,160,12) #!,PROP(PROP:Color,0FFFF80H)
        #DISPLAY('')
    #ENDENABLE
#ENDBOXED
#!
#!**************************************************************************
#!-------------- Library, Object And Resourses Files -------------
#!**************************************************************************
#!
#AT(%CustomGlobalDeclarations)
    #IF(%AARFIDMr915ApiV10EnableCheck=%TRUE)
        #PROJECT('A+RFID01.LIB')
    #ENDIF
#ENDAT
#!
#!**************************************************************************
#!-------------- Declaration of SDK's Equates -------------
#!**************************************************************************
#!
#AT(%AfterGlobalIncludes,'After Global INCLUDEs'),PRIORITY(4000)
    #!
    #IF(%AARFIDMr915ApiV10EnableCheck=%TRUE)
    INCLUDE('A+RFID01.INC','EQUATES')      !Mr915ApiV10 SDK
    #ENDIF
    #!
#ENDAT
#!
#!**************************************************************************
#!-------------- Include the SDK's Functions -------------
#!**************************************************************************
#!
#AT(%globalmap)
MODULE('Biometric Imported Functions')
    #!
    #IF(%AARFIDMr915ApiV10EnableCheck=%TRUE)
    INCLUDE('A+RFID01.INC','FUNCTIONS')      !Mr915ApiV10 SDK
    #ENDIF
    #!
END
#ENDAT
